> ## Documentation Index
> Fetch the complete documentation index at: https://docs.linkio.world/llms.txt
> Use this file to discover all available pages before exploring further.

# Rate Quote



## OpenAPI

````yaml /reference/link-transaction.json get /transactions/v2/brl/ramp_quote
openapi: 3.1.0
info:
  title: link-transaction
  version: '1.0'
servers:
  - url: https://api.linkio.world
security:
  - sec0: []
tags:
  - name: Direct FX
  - name: Pan-Africa Ramp
  - name: BRL Ramp
  - name: IDR Ramp
  - name: B2B
  - name: Customers
  - name: Static Details
  - name: Transactions
  - name: Accounts
  - name: ESPESS
paths:
  /transactions/v2/brl/ramp_quote:
    get:
      tags:
        - BRL Ramp
      summary: Rate Quote
      operationId: get_fetch_quote_rate
      parameters:
        - name: amount
          in: query
          required: true
          description: >-
            Amount of BRL (on-ramp min: 100 BRL) or USDC (off-ramp  min: 5
            USDC/USDT) to convert.
          schema:
            type: string
            default: '100'
        - name: trx_type
          in: query
          required: true
          description: 'Transaction type: "onramp" for BRL→USDC, "offramp" for USDC→BRL. '
          schema:
            type: string
            default: ''
            enum:
              - onramp
              - offramp
      responses:
        '200':
          description: ''
          content:
            application/json:
              examples:
                New Example:
                  summary: New Example
                  value:
                    status: Success
                    message: Rate retrieved successfully
                    data:
                      baseRate: '5.574069'
                      inputAmount: '4500'
                      outputAmount: '797.586041'
                      outputCurrency: USDC
                      outputPaymentMethod: POLYGON
                      validity: 15 seconds
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: ngnc-sec-key
      x-default: ''

````